<!DOCTYPE html>
<html>

<head>
	<meta charset="UTF-8">
	<title>Form work1</title>
	<style>
		.weather {
			display: flex;
			flex-direction: column;
		}
		.weather img {
			width: 100px;
			height: auto;

		}
	</style>
</head>

<body>
	<select id="countries"></select>
	<div id="result"></div>
	<div id="weather"></div>
	<script>
		/*
			Задание:
 
			1. Сгенерировать список стран в Select countries
			2. При выборе страны генерировать еще один Select со списком
				городов этой страны и вывести этот селект в блок result
			3. При выборе города нужно случайно рандомить температуру от
			-10 градусов до +40. Если температура
 
				-10 до 0 то 'Солнечно' 'Легкий снегопад' 'Сильный снегопад'
				0 до 30 то  'Солнечно' 'Дождь' 'Ветер' 'Сильный дождь'
				30 до 40 то 'Солнечно' 'Засуха' 'Ветер'
 
			4. Вывести сообщение на страничку
				{Country}. В {City} {Weather} {Temperature} градусов.
				Ukraine. В Kyiv Солнечно -10 градусов
 
				+ бонус добавить красивые картинки с погодой
		*/
		window.addEventListener("load", function () {
			var countries = ['Ukraine', 'Poland', 'USA'];
			var ukraineCity = ['Kyiv', 'Lviv', 'Odesa', 'Charkiv'];
			var polandCity = ['Warszawa', 'Poznan', 'Krakow', 'Katowice'];
			var usaCity = ['New York', 'Los Angeles', 'Las Vegas', 'Chicago'];
			var country = document.getElementById('countries');
			let result = document.getElementById('result');
			let weather = document.getElementById('weather');
			let city = document.createElement('select');
			city.classList.add("city");
			
				
			var dv = document.createElement('div');
			let weatherBuild = () => {
				var t = getRandomIntInclusive(-10, 40);
				console.log(t);
				let img = () => {
					if(t <= 0) {
						return 'https://cdn.pixabay.com/photo/2012/04/18/13/23/cloudy-37012_960_720.png'
					}
					else if (t >= 30) {
						return 'https://meteo.ua/themes/default/images/for_icn/big-on-blue/d000.jpg'
					}
					else {
						return 'https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR8iI5IlzHu0CecWzyc7sptzPPeKXbb0m1Kklg-AJHAvtvkrfqv'
					}
				}
				let temolate = `
					<div class="weather">
						<span>${t} градусів</span>
						<img src= "${img()}">
					<div>
				`;
				dv.innerHTML = temolate;

				return dv;
			}

			for (let i = 0; i < countries.length; i++) {
				let opt = new Option(countries[i], countries[i]);
				country.appendChild(opt);

			}
			for (let i = 0; i < ukraineCity.length; i++) {
				let opt = new Option(ukraineCity[i], ukraineCity[i]);
				city.appendChild(opt);
				result.appendChild(city);
			}

			weatherBuild();
			weather.appendChild(dv);

			country.addEventListener('change', function (e) {
				let cityChange = e.target.value;
				city.innerHTML = '';
				weatherBuild();
				weather.appendChild(dv);
				if (cityChange === 'Ukraine') {
					for (let i = 0; i < ukraineCity.length; i++) {
						let opt = new Option(ukraineCity[i], ukraineCity[i]);
						city.appendChild(opt);
						result.appendChild(city);
					}
				} else if (cityChange === 'Poland') {
					for (let i = 0; i < polandCity.length; i++) {
						let opt = new Option(polandCity[i], polandCity[i]);
						city.appendChild(opt);
						result.appendChild(city);
					}
				} else if (cityChange === 'USA') {
					for (let i = 0; i < usaCity.length; i++) {
						let opt = new Option(usaCity[i], usaCity[i]);
						city.appendChild(opt);
						result.appendChild(city);
					}

				}
			})
			function getRandomIntInclusive(min, max) {
				var min = Math.ceil(min);
				var max = Math.floor(max);
				return Math.floor(Math.random() * (max - min + 1)) + min;
			};

			

			city.addEventListener('change', function (e) {
				weatherBuild();
				weather.appendChild(dv);
			})
		})







	</script>
</body>

</html>